package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 5/24/12
 * Time: 11:16 PM
 */
public class YandexHProductMFException extends MFException {
    public YandexHProductMFException(final String name) {
        super(name);
    }

    public YandexHProductMFException(final String name, final boolean critical) {
        super(name, critical);
    }
    public YandexHProductMFException(final String name, final boolean critical, final EntityLocation location) {
        super(name, critical, location);
    }


    @Override
    public String getKey() {
        return "yndx_hproduct";
    }
}
